Package org.eclipse.lemminx.services.extensions.codelens

## Interface ICodeLensRequest

    public interface ICodeLensRequest

CodeLens request API.

Author:
  Angelo ZERR

### Method Summary

All Methods Instance Methods Abstract Methods
`DOMDocument` `getDocument()` Returns the DOM document.
`boolean` `isSupportedByClient​(String kind)` Returns true if the given code lens kind is supported by the client and false otherwise.

### Method Detail

#### getDocument

    DOMDocument getDocument()

Returns the DOM document.

Returns:
  the DOM document

#### isSupportedByClient

    boolean isSupportedByClient​(String kind)

Returns true if the given code lens kind is supported by the client and false otherwise.

Parameters:
  `kind` - code lens kind
Returns:
  true if the given code lens kind is supported by the client and false otherwise.